package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedCure;
import com.huimv.farm.musk.breed.entity.BreedInspect;
import com.huimv.farm.musk.breed.service.IBreedCureService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 治疗登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-cure")
@CrossOrigin
public class BreedCureController {
    @Autowired
    private IBreedCureService cureService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return cureService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedCure cure) {
        return cureService.add(cure);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedCure cure) {
        return cureService.edit(cure);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return cureService.remove(paramsMap);
    }


}
