package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedSecretion;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.service.IBreedSecretionService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 泌香登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-secretion")
@CrossOrigin
public class BreedSecretionController {
    @Autowired
    private IBreedSecretionService secretionService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return secretionService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedSecretion secretion) {
        return secretionService.add(secretion);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedSecretion secretion) {
        return secretionService.edit(secretion);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return secretionService.remove(paramsMap);
    }

}
