package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.breed.entity.BreedTupping;
import com.huimv.farm.musk.breed.service.IBreedTransferService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 转舍登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-transfer")
@CrossOrigin
public class BreedTransferController {
    @Autowired
    private IBreedTransferService transferService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return transferService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedTransfer transfer) {
        return transferService.add(transfer);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedTransfer transfer) {
        return transferService.edit(transfer);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return transferService.remove(paramsMap);
    }


}
