package com.huimv.farm.musk.breed.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.farm.musk.breed.entity.MuskEarmark;
import com.huimv.farm.musk.breed.service.IMuskEarmarkService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 保存耳标平台的耳标 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-03
 */
@RestController
@RequestMapping("/musk-earmark")
@CrossOrigin
public class MuskEarmarkController {
    @Autowired
    private IMuskEarmarkService earmarkService;

    @RequestMapping("/list")
    public Result list(@RequestBody Map<String, String> paramsMap) {
        String farmId = paramsMap.get("farmId");
        List<MuskEarmark> earmarks = earmarkService.list(new QueryWrapper<MuskEarmark>().eq("farm_id", farmId));
        return new Result(ResultCode.SUCCESS,earmarks);
    }
}
