package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedFeed;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 采食计量 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedFeedService extends IService<BreedFeed> {

    Result listPage(Map<String, String> paramsMap);

    Result add(BreedFeed breedFeed);

    Result edit(BreedFeed breedFeed);

    Result remove(Map<String, String> paramsMap);
}
