package com.huimv.farm.musk.breed.service;

import com.huimv.farm.musk.breed.entity.BreedLeave;
import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.breed.entity.BreedTransfer;
import com.huimv.farm.musk.common.utils.Result;

import java.util.Map;

/**
 * <p>
 * 离场登记 服务类
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
public interface IBreedLeaveService extends IService<BreedLeave> {
    Result listPage(Map<String, String> paramsMap);

    Result add(BreedLeave breedLeave);

    Result edit(BreedLeave breedLeave);

    Result remove(Map<String, String> paramsMap);
}
