package com.huimv.farm.musk.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huimv.farm.musk.entity.SysCamera;
import com.huimv.farm.musk.entity.vo.CameraBaseVo;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author author
 * @since 2023-06-01
 */

public interface SysCameraMapper extends BaseMapper<SysCamera> {

    IPage<CameraBaseVo> listPage(Page<SysCamera> page, @Param(Constants.WRAPPER) QueryWrapper<SysCamera> wrapper);

}
