package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedInspect;
import com.huimv.farm.musk.breed.entity.BreedMedicine;
import com.huimv.farm.musk.breed.service.IBreedInspectService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 日常巡检 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-inspect")
@CrossOrigin
public class BreedInspectController {
    @Autowired
    private IBreedInspectService inspectService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return inspectService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedInspect inspect) {
        return inspectService.add(inspect);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedInspect inspect) {
        return inspectService.edit(inspect);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return inspectService.remove(paramsMap);
    }

}
