package com.huimv.farm.musk.breed.controller;


import com.huimv.farm.musk.breed.entity.BreedMedicine;
import com.huimv.farm.musk.breed.entity.BreedVaccination;
import com.huimv.farm.musk.breed.service.IBreedMedicineService;
import com.huimv.farm.musk.common.utils.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 * 群体用药登记 前端控制器
 * </p>
 *
 * @author author
 * @since 2024-09-02
 */
@RestController
@RequestMapping("/breed-medicine")
@CrossOrigin
public class BreedMedicineController {
    @Autowired
    private IBreedMedicineService medicineService;

    @RequestMapping("/listPage")
    public Result listPage(@RequestBody Map<String, String> paramsMap) {
        return medicineService.listPage(paramsMap);
    }

    @RequestMapping("/add")
    public Result add(@RequestBody BreedMedicine medicine) {
        return medicineService.add(medicine);
    }

    @RequestMapping("/edit")
    public Result edit(@RequestBody BreedMedicine medicine) {
        return medicineService.edit(medicine);
    }
    @RequestMapping("/remove")
    public Result remove(@RequestBody Map<String, String> paramsMap) {
        return medicineService.remove(paramsMap);
    }

}
