package com.huimv.farm.musk.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.farm.musk.common.utils.Result;
import com.huimv.farm.musk.entity.SysAccountMultilevel;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
public interface ISysAccountMultilevelService extends IService<SysAccountMultilevel> {

    Result findUserAccount(String searchStr, int pageNum, int pageSize, Integer userId);

    Result add(SysAccountMultilevel sysAccountMultilevel, Integer userId);

    Result setAccountStatus(List<Integer> ids, Integer status);

    List<Integer> getAllChildId(Integer userId);

    Result listSubordinate(String searchStr, int pageNum, int pageSize, Integer userId);

    Result getLastFarmId(Integer userId);

    Result listSubordinateByFarm(String farmId, Integer userId);

    Result updateUser(HttpServletRequest httpServletRequest, MultipartFile img, String userName, String phone) throws IOException;
}
